Bug 801111 - [Mellanox 6.3 Feature]: update mlx4_en driver to support SRIOV
[Mellanox 6.3 Feature]: update mlx4_en driver to support SRIOV
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.3
Unspecified Linux
unspecified Severity high
: rc
: 6.3
Assigned To: Doug Ledford
Weibing Zhang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 12:18 EST by Vladimir Sokolovsky
Modified: 2012-06-20 04:33 EDT (History)
16 users (show)

See Also:
Fixed In Version: kernel-2.6.32-255.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 756392
Environment:
Last Closed: 2012-06-20 04:33:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0862 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Linux 6 kernel security, bug fix and enhancement update 2012-06-20 08:55:00 EDT

  None (edit)
Description Vladimir Sokolovsky 2012-03-07 12:18:13 EST
+++ This bug was initially created as a clone of Bug #756392 +++

More fixes from upstream:

b477ba628a283ba93e631d66907f91df80e82267
35fb9afbdeef9d5859d9a878d0372907baf119e1
93ece0c1a7ace88f10411dbb5643d2aa2fe00ebf
eb41049f2f5eee1525fe1c699e6b1f03c8c51532
9fd7a1e147bd41fb999a58da8a8826b9f3415384
803143fbda719106017309d551d082e4b4e7c8c3
Comment 1 Doug Ledford 2012-03-07 12:26:47 EST
These are additional patches for SRIOV support that came in after my primary patch set was submitted for review.
Comment 2 Doug Ledford 2012-03-20 12:17:05 EDT
The final set of patches I'm submitting are done.
Comment 4 Aristeu Rozanski 2012-03-23 15:32:18 EDT
Patch(es) available on kernel-2.6.32-255.el6
Comment 7 Zhang Kexin 2012-05-21 23:36:40 EDT
Hi Vladimir,
Could  you help testing this bug on latest snapshot please? Thank you!
Comment 8 Weibing Zhang 2012-05-24 06:18:43 EDT
It seems there is no num_vfs option for mlx4_en module. Can SR-IOV support for mlx4_en be tested via mlx4_core?
[root@rdma4 ~]# modprobe -r mlx4_en
[root@rdma4 ~]# modinfo mlx4_en
filename:       /lib/modules/2.6.32-272.el6.x86_64/kernel/drivers/net/mlx4/mlx4_en.ko
version:        2.0 (Dec 2011)
license:        Dual BSD/GPL
description:    Mellanox ConnectX HCA Ethernet driver
author:         Liran Liss, Yevgeny Petrilin
srcversion:     6DE2D669A9E754DB0B7932A
depends:        mlx4_core
vermagic:       2.6.32-272.el6.x86_64 SMP mod_unload modversions 
parm:           inline_thold:treshold for using inline data (int)
parm:           tcp_rss:Enable RSS for incomming TCP traffic or disabled (0) (uint)
parm:           udp_rss:Enable RSS for incomming UDP traffic or disabled (0) (uint)
parm:           pfctx:Priority based Flow Control policy on TX[7:0]. Per priority bit mask (uint)
parm:           pfcrx:Priority based Flow Control policy on RX[7:0]. Per priority bit mask (uint)
Comment 9 Doug Ledford 2012-05-29 14:26:25 EDT
It is standard that the num_vfs option is set via mlx4_core.
Comment 10 Weibing Zhang 2012-06-01 05:45:15 EDT
Run NIC driver test for mlx4_en on kernel-2.6.32-272 and all the tests passed.
[root@rdma4 ~]# modprobe -r mlx4_en
[root@rdma4 ~]# modprobe -r mlx4_ib
[root@rdma4 ~]# modprobe -r mlx4_core
[root@rdma4 ~]# modprobe mlx4_core num_vfs=1
Set SanityOnly.
Comment 12 errata-xmlrpc 2012-06-20 04:33:27 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0862.html

Note You need to log in before you can comment on or make changes to this bug.